Assign and unassign users from attack discovery alerts

Base URL
https://{kibana_url}
  • POST /api/detection_engine/attacks/assignees
  • POST /s/{space_id}/api/detection_engine/attacks/assignees
Auth

Assign users to attack discovery alerts, and unassign them from alerts. Optionally cascade the change to related detection alerts via kibana.alert.attack_discovery.alert_ids.

Note

You cannot add and remove the same assignee in the same request.

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

Request body

An object containing assignees to add or remove and attack ids the changes will be applied to

assignees object required
add string[] · format: nonempty required
remove string[] · format: nonempty required
ids string[] · format: nonempty · min items: 1 required

A list of alerts ids.

When true, the change is also applied to detection alerts related to the attacks via kibana.alert.attack_discovery.alert_ids.

Responses

Successful response

application/json

Response Type: object

Invalid input data response

application/json
One of:
error string required
message string required
statusCode integer required

Unsuccessful authentication response

application/json
error string required
message string required
statusCode integer required

Internal server error response

application/json
message string required
status_code integer required
Base URL
https://{kibana_url}